package com.wechat.model.dto;

import com.wechat.activerequests.responses.WxBaseResponse;
import com.wechat.common.Constants;
import com.wechat.common.utils.StringsUtils;

import antlr.StringUtils;

import com.fasterxml.jackson.annotation.JsonProperty;

public class WxUserInfoDto extends WxBaseResponse{

    //用户是否订阅该公众号标识，值为0时，代表此用户没有关注该公众号，拉取不到其余信息。
    @JsonProperty("subscribe")
    private String            subscribe;

	//openid
    @JsonProperty("openid")
    private String            openid;

    //用户昵称
    @JsonProperty("nickname")
    private String            nickname;

    //用户的性别，值为1时是男性，值为2时是女性，值为0时是未知
    @JsonProperty("sex")
    private String            sex;
    
    //使用的语言
    @JsonProperty("language")
    private String            language;

    //普通用户个人资料填写的城市
    @JsonProperty("city")
    private String            city;
    
    //用户个人资料填写的省份
    @JsonProperty("province")
    private String            province;

    //国家，如中国为CN
    @JsonProperty("country")
    private String            country;
    

    //用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空。若用户更换头像，原有头像URL将失效。
    @JsonProperty("headimgurl")
    private String            headimgurl;
    
    //用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间
    @JsonProperty("subscribe_time")
    private String            subscribeTime;
    
    //只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段
    @JsonProperty("unionid")
    private String            unionid;
    
    //公众号运营者对粉丝的备注，公众号运营者可在微信公众平台用户管理界面对粉丝添加备注
    @JsonProperty("remark")
    private String           remark;
    
    //用户所在的分组ID（兼容旧的用户分组接口）
    @JsonProperty("groupid")
    private String           groupid;
    
    //用户被打上的标签ID列表
    @JsonProperty("tagid_list")
    private String[]           tagidList;

    //返回用户关注的渠道来源，ADD_SCENE_SEARCH 公众号搜索，ADD_SCENE_ACCOUNT_MIGRATION 公众号迁移，
    //ADD_SCENE_PROFILE_CARD 名片分享，ADD_SCENE_QR_CODE 扫描二维码，ADD_SCENE_PROFILE_LINK 图文页内名称点击，
    //ADD_SCENE_PROFILE_ITEM 图文页右上角菜单，ADD_SCENE_PAID 支付后关注，ADD_SCENE_WECHAT_ADVERTISEMENT 微信广告，ADD_SCENE_OTHERS 其他
    @JsonProperty("subscribe_scene")
    private String           subscribeScene;


	//二维码扫码场景（开发者自定义）
    @JsonProperty("qr_scene")
    private String           qrScene;
    
    //二维码扫码场景（开发者自定义）
    @JsonProperty("qr_scene_str")
    private String           qrSceneStr;
    
	
	public WxUserInfoDto()
	{
		subscribe = Constants.EMPTY;
		openid = Constants.EMPTY;
		nickname = Constants.EMPTY;
		sex = Constants.EMPTY;
		city = Constants.EMPTY;
		country = Constants.EMPTY;
		province = Constants.EMPTY;
		language = Constants.EMPTY;
		headimgurl = Constants.EMPTY;
		subscribeTime = Constants.EMPTY;
		unionid = Constants.EMPTY;
		remark = Constants.EMPTY;
		groupid = Constants.EMPTY;
		subscribeScene = Constants.EMPTY;
		qrScene = Constants.EMPTY;
		qrSceneStr = Constants.EMPTY;
	}

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getHeadimgurl() {
        return headimgurl;
    }

    public void setHeadimgurl(String headimgurl) {
        this.headimgurl = headimgurl;
    }


    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }
    
    public String getSubscribe() {
		return subscribe;
	}

	public void setSubscribe(String subscribe) {
		this.subscribe = subscribe;
	}

	public String getSubscribeTime() {
		return subscribeTime;
	}

	public void setSubscribeTime(String subscribeTime) {
		this.subscribeTime = subscribeTime;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getGroupid() {
		return groupid;
	}

	public void setGroupid(String groupid) {
		this.groupid = groupid;
	}

	public String[] getTagidList() {
		return tagidList;
	}

	public void setTagidList(String[] tagidList) {
		this.tagidList = tagidList;
	}
	
    
    public String getSubscribeScene() {
		return subscribeScene;
	}

	public void setSubscribeScene(String subscribeScene) {
		this.subscribeScene = subscribeScene;
	}

	public String getQrScene() {
		return qrScene;
	}

	public void setQrScene(String qrScene) {
		this.qrScene = qrScene;
	}

	public String getQrSceneStr() {
		return qrSceneStr;
	}

	public void setQrSceneStr(String qrSceneStr) {
		this.qrSceneStr = qrSceneStr;
	}

}
